libzypp

Library for package, patch, pattern and product management

libzypp is the package management library that powers applications like YaST, zypper and the openSUSE/SLE implementation of PackageKit. libzypp provides functionality for a package manager: * An API for package repository management, supporting most common repository metadata formats and signed repositories. * An API for solving packages, products, patterns and patches (installation, removal, update and distribution upgrade operations) dependencies, with additional features like locking. * An API for commiting the transaction to the system over a rpm target. Supporting deltarpm calculation, media changing and installation order calculation. * An API for browsing available and installed software, with some facilities for programs with an user interface.

沒有可用的 openSUSE Leap 15.4 官方套件

發行版

openSUSE Tumbleweed

openSUSE Leap 15.4

openSUSE Leap 15.3

openSUSE Leap 15.2

SUSE SLE-15-SP2

zypp:ci:libzypp 實驗性
18.0.0.git.1625576976...

Fedora Rawhide (unstable)

CentOS CentOS-8

不支援的發行版本

下列發行版本並未被官方支援。使用這些套件需要自行承擔風險。

openSUSE:Leap:15.1

openSUSE:Leap:15.0

openSUSE:Leap:42.3

openSUSE:Leap:42.2

openSUSE:Leap:42.1

openSUSE:13.2

openSUSE:13.1

openSUSE:12.3

openSUSE:12.2

openSUSE:12.1

openSUSE:11.4

SUSE:SLE-15:GA

18.0.0.git.1625576976...

devel:LEO

Ubuntu:12.04

SUSE:SLE-12:SLE-Module-Toolchain

home:coolo:carwos

Fedora:EPEL:7

Fedora:25

Fedora:26